pydo.vpc_peerings.create()
Generated on 3 Aug 2026
from pydo version
v0.40.0
Usage
client.vpc_peerings.create(
body={
"name": "nyc1-blr1-peering",
"vpc_ids": [...],
},
)Description
To create a new VPC Peering, send a POST request to /v2/vpc_peerings
specifying a name and a list of two VPC IDs to peer. The response code, 202
Accepted, does not indicate the success or failure of the operation, just
that the request has been accepted for processing.
Parameters
namestring requiredExample:
nyc1-blr1-peeringThe name of the VPC peering. Must be unique within the team and may only contain alphanumeric characters and dashes.
vpc_idsarray of strings requiredExample:
['c140286f-e6ce-4131-8b7b-df4590ce8d6a', '994a2735-dc84-11e8-80bc-3cfdfea9fba1']An array of the two peered VPCs IDs.
Request Sample
Response Example
More Information
See /v2/vpc_peerings in the API reference for additional detail on responses, headers, parameters, and more.